org.jbpm.services.api.admin

## Interface TimerInstance

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    TimerInstanceImpl

      public interface TimerInstance
      extends Serializable

  Describes timer instance that is active with details about the timer and the owner (such as process instance).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getActivationTime()` Returns date when the timer was activated/created
    `long` | `getDelay()` Returns delay that comes from definition
    `long` | `getId()` Returns id of the timer
    `Date` | `getLastFireTime()` Returns date when the timer was fired last time, can be null
    `Date` | `getNextFireTime()` Returns next date when the timer is expected to fire
    `long` | `getPeriod()` Returns period that comes from definition - only for repeatable timers
    `long` | `getProcessInstanceId()` Returns process instance id that timer belongs to
    `int` | `getRepeatLimit()` Returns repeat limit that comes from definition - only for repeatable timers
    `long` | `getSessionId()` Returns session id that was used to create the timer
    `long` | `getTimerId()` Returns unique id of the timer
    `String` | `getTimerName()` Returns name of the timer - taken from timer node in the process

- - ### Method Detail

    - #### getTimerName

          String getTimerName()

      Returns name of the timer - taken from timer node in the process
      Returns:
        timer name

    - #### getId

          long getId()

      Returns id of the timer
      Returns:
        timer id

    - #### getTimerId

          long getTimerId()

      Returns unique id of the timer
      Returns:
        timer unique id

    - #### getActivationTime

          Date getActivationTime()

      Returns date when the timer was activated/created
      Returns:
        timer activation/creation date

    - #### getLastFireTime

          Date getLastFireTime()

      Returns date when the timer was fired last time, can be null
      Returns:
        timer last fire time

    - #### getNextFireTime

          Date getNextFireTime()

      Returns next date when the timer is expected to fire
      Returns:
        timer next fire time

    - #### getDelay

          long getDelay()

      Returns delay that comes from definition
      Returns:
        timer delay

    - #### getPeriod

          long getPeriod()

      Returns period that comes from definition - only for repeatable timers
      Returns:
        timer period

    - #### getRepeatLimit

          int getRepeatLimit()

      Returns repeat limit that comes from definition - only for repeatable timers
      Returns:
        timer repeat limit

    - #### getProcessInstanceId

          long getProcessInstanceId()

      Returns process instance id that timer belongs to
      Returns:
        process instance id

    - #### getSessionId

          long getSessionId()

      Returns session id that was used to create the timer
      Returns:
        session id

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.